package com.liang.controller;

import com.liang.entity.SysOperLog;
import com.liang.service.SysOperLogService;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * (SysOperLog)表控制层
 *
 * @author makejava
 * @since 2023-02-19 21:37:38
 */
@RestController
@RequestMapping("sysOperLog")
public class SysOperLogController {
    /**
     * 服务对象
     */
    @Resource
    private SysOperLogService sysOperLogService;

    /**
     * 分页查询
     *
     * @param sysOperLog  筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    @GetMapping
    public ResponseEntity<Page<SysOperLog>> queryByPage(SysOperLog sysOperLog, PageRequest pageRequest) {
        return ResponseEntity.ok(this.sysOperLogService.queryByPage(sysOperLog, pageRequest));
    }

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("{id}")
    public ResponseEntity<SysOperLog> queryById(@PathVariable("id") String id) {
        return ResponseEntity.ok(this.sysOperLogService.queryById(id));
    }

    /**
     * 新增数据
     *
     * @param sysOperLog 实体
     * @return 新增结果
     */
    @PostMapping
    public ResponseEntity<SysOperLog> add(SysOperLog sysOperLog) {
        return ResponseEntity.ok(this.sysOperLogService.insert(sysOperLog));
    }

    /**
     * 编辑数据
     *
     * @param sysOperLog 实体
     * @return 编辑结果
     */
    @PutMapping
    public ResponseEntity<SysOperLog> edit(SysOperLog sysOperLog) {
        return ResponseEntity.ok(this.sysOperLogService.update(sysOperLog));
    }

    /**
     * 删除数据
     *
     * @param id 主键
     * @return 删除是否成功
     */
    @DeleteMapping
    public ResponseEntity<Boolean> deleteById(String id) {
        return ResponseEntity.ok(this.sysOperLogService.deleteById(id));
    }

}

